## php-nunomaduro-termwind 2.3.2

=== Makefile ===
# Well documented Makefiles
DEFAULT_GOAL := help
help:
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-40s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

##@ [Docker]
start: ## Spin up the container
	docker compose up -d

stop: ## Shut down the containers
	docker compose down

build: ## Build all docker images
	docker compose build

##@ [Application]
composer: ## Run composer commands. Specify the command e.g. via "make composer ARGS="install|update|require <dependency>"
	docker compose run --rm app composer $(ARGS)

install:
	docker compose run --rm app composer install

lint: ## Run the Linter
	docker compose run --rm app composer lint

test-lint: ## Run the Linter Test
	docker compose run --rm app composer test:lint

test-types: ## Run the PHPStan analysis
	docker compose run --rm app composer test:types

test-unit: ## Run the Pest Test Suite
	docker compose run --rm app composer test:unit

test: ## Run the tests. Apply arguments via make test ARGS="--init"
	docker compose run --rm app composer test

## php-nunomaduro-termwind 1.15.1

=== debian/changelog ===
php-nunomaduro-termwind (1.15.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 18:46:32 -0500

php-nunomaduro-termwind (1.15.1-1) unstable; urgency=medium

  * Initial release (new Laravel dependency, see #1051985)

 -- David Prévot <taffit@debian.org>  Wed, 24 Jul 2024 13:44:24 +0900

=== debian/control ===
Source: php-nunomaduro-termwind
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Robin Gustafsson <rgson@debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-symfony-console,
               phpab
Standards-Version: 4.7.0
Homepage: https://github.com/nunomaduro/termwind
Vcs-Git: https://salsa.debian.org/php-team/pear/php-nunomaduro-termwind.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-nunomaduro-termwind
Rules-Requires-Root: no

Package: php-nunomaduro-termwind
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Termwind allows one to build PHP command-line applications, using the Tailwind
 CSS API. In short, it's like Tailwind CSS, but for the PHP command-line
 applications.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

override_dh_auto_test:

## php-nunomaduro-termwind 1.17.0

=== debian/changelog ===
php-nunomaduro-termwind (1.17.0-1) unstable; urgency=medium

  [ Robin Gustafsson ]
  * New upstream version 1.17.0
  * Update Standards-Version, no changes
  * Expand copyright information

  [ David Prévot ]
  * Remove self from uploaders

 -- Robin Gustafsson <rgson@debian.org>  Sun, 02 Mar 2025 21:56:26 +0100

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/nunomaduro/termwind \
refs/tags/v?(1.+)

## php-nunomaduro-termwind 2.3.0

=== debian/changelog ===
php-nunomaduro-termwind (2.3.0-1) experimental; urgency=medium

  * New upstream version 2.3.0
  * Add missing NMU changelog entry
  * Watch for all new upstream versions

 -- Robin Gustafsson <rgson@debian.org>  Mon, 03 Mar 2025 21:20:18 +0100

## php-nunomaduro-termwind 2.3.2

=== debian/changelog ===
php-nunomaduro-termwind (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2 

 -- Robin Gustafsson <rgson@debian.org>  Wed, 05 Nov 2025 21:05:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: Robin Gustafsson <rgson@debian.org>,
-           David Prévot <taffit@debian.org>
+Uploaders: Robin Gustafsson <rgson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                php-symfony-console,
                phpab
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nunomaduro/termwind
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-nunomaduro-termwind.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-nunomaduro-termwind

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 		src
 
 override_dh_auto_test:
+
+override_dh_auto_install:
+	dh_install

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/nunomaduro/termwind \
refs/tags/v?([\d\.]+)
